Bug 203593 - x11/libxkbcommon: Default x-locale-root path is wrong. Needs to be set via CONFIGURE_ARGS.
Summary: x11/libxkbcommon: Default x-locale-root path is wrong. Needs to be set via CO...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-06 22:55 UTC by imre
Modified: 2016-11-05 19:27 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
Proposed fix for this issue (739 bytes, patch)
2015-10-06 22:55 UTC, imre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description imre 2015-10-06 22:55:58 UTC
Created attachment 161776 [details]
Proposed fix for this issue

x11/libxkbcommon currently doesn't find the key composition information in "/usr/local/lib/X11/locale/". This makes key composition (which is used to allow multiple keysyms to be composed e.g. for adding accents to letters) fail to initialize in libxkbcommon, because it tries to use its default path looking in "/usr/local/share/X11/locale/".

Adding the --with-x-locale-root=${PREFIX}/lib/X11/locale option to CONFIGURE_ARGS fixes this problem for me (i.e. key composition works
Comment 1 Iblis Lin 2016-05-30 17:49:35 UTC
Hi!

Hope the patch in bug#209867 works for you.
Comment 2 Baptiste Daroussin freebsd_committer 2016-11-05 19:26:49 UTC
fixed thanks
Comment 3 commit-hook freebsd_committer 2016-11-05 19:27:24 UTC
A commit references this bug:

Author: bapt
Date: Sat Nov  5 19:26:21 UTC 2016
New revision: 425437
URL: https://svnweb.freebsd.org/changeset/ports/425437

Log:
  Update to 0.6.1
  While here fix the default path to find X localed

  PR:		203593 209867

Changes:
  head/x11/libxkbcommon/Makefile
  head/x11/libxkbcommon/distinfo